## org.eclipse.ocl.cst
Interface LiteralExpCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS

All Known Subinterfaces:
  BooleanLiteralExpCS, CollectionLiteralExpCS, EnumLiteralExpCS, IntegerLiteralExpCS, InvalidLiteralExpCS, NullLiteralExpCS, PrimitiveLiteralExpCS, RealLiteralExpCS, StringLiteralExpCS, TupleLiteralExpCS, UnlimitedNaturalLiteralExpCS

All Known Implementing Classes:
  BooleanLiteralExpCSImpl, CollectionLiteralExpCSImpl, EnumLiteralExpCSImpl, IntegerLiteralExpCSImpl, InvalidLiteralExpCSImpl, LiteralExpCSImpl, NullLiteralExpCSImpl, PrimitiveLiteralExpCSImpl, RealLiteralExpCSImpl, StringLiteralExpCSImpl, TupleLiteralExpCSImpl, UnlimitedNaturalLiteralExpCSImpl

    public interface LiteralExpCS

extends OCLExpressionCS

A representation of the model object 'Literal Exp CS'.

See Also:
  `CSTPackage.getLiteralExpCS()`

Method Summary

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.